/*
 *  
 * Copyright (C) 2008 Anthony Ku Ong - anthony.java@gmail.com
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 */
package org.efs.openreports.actions;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionSupport;

import java.util.Date;
import java.util.Map;
import org.apache.log4j.Logger;
import org.efs.openreports.ORStatics;
import org.efs.openreports.engine.BirtReportEngine;
import org.efs.openreports.engine.ReportEngine;
import org.efs.openreports.engine.ReportEngineHelper;
import org.efs.openreports.engine.input.ReportEngineInput;
import org.efs.openreports.objects.ORProperty;
import org.efs.openreports.objects.Report;
import org.efs.openreports.objects.ReportLog;
import org.efs.openreports.objects.ReportUser;
import org.efs.openreports.providers.DataSourceProvider;
import org.efs.openreports.providers.DirectoryProvider;
import org.efs.openreports.providers.PropertiesProvider;
import org.efs.openreports.providers.ReportLogProvider;
import org.efs.openreports.util.LocalStrings;
import org.efs.openreports.util.ORUtil;

public class BirtReportAction extends ActionSupport 
{   
	private static final long serialVersionUID = 7473180642590984527L;
	protected static Logger log = Logger.getLogger(BirtReportAction.class);
	private Map<Object, Object> session;
	private String birt_isHostPage; // see birt.tld 
	
	private DirectoryProvider directoryProvider;
		
    private Report report;
    private String designFile;

    public String execute() throws Exception 
    {  	
    	report = (Report) ActionContext.getContext().getSession().get(ORStatics.REPORT);
    	designFile = directoryProvider.getReportDirectory() + report.getFile();
    	log.info("BirtReportAction chained - directoryProvider:" + directoryProvider.getReportDirectory());
        log.info("BIRT Report Action , Report File:" + report.getFile() );
        log.info("BIRT Report Action , Report Name:" + report.getName() );
        log.info("BIRT Report Action ), DESIGN FILE:" + designFile );
        log.info("BIRT Report Action , birt_isHostPage:" + birt_isHostPage);
        return SUCCESS;
    }
        
    public String getDesignFile()
    {
    	return designFile;
    }
    
    public Report getReport() 
    {
        return report;
    }
    
	public void setBirt_isHostPage(String birt_isHostPage)
	{
		this.birt_isHostPage = birt_isHostPage;
	}
	
    public String getBirt_isHostPage() 
    {
        return birt_isHostPage;
    }
    
    

	public void setDirectoryProvider(DirectoryProvider directoryProvider)
	{
		this.directoryProvider = directoryProvider;
	}
	
	   @SuppressWarnings("unchecked")
		public void setSession(Map session) 
		{
			this.session = session;
		}
 
}
