/*
 * Copyright (C) 2006 Erik Swenson - erik@oreports.com
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 */

package org.efs.openreports.engine.output;

import java.io.Serializable;

import org.efs.openreports.objects.chart.ChartValue;
import org.jfree.chart.ChartRenderingInfo;

/**
 * ChartReportEngine extends ReportEngineOuput to provides access to
 * additional information generated by ChartReportEngine.
 * 
 * @author Erik Swenson
 */

public class ChartEngineOutput extends ReportEngineOutput implements Serializable
{
	private static final long serialVersionUID = 7750377905684426027L;
	
	private ChartValue[] chartValues;
	private ChartRenderingInfo chartRenderingInfo;	
	
	public ChartRenderingInfo getChartRenderingInfo()
	{
		return chartRenderingInfo;
	}
	
	public void setChartRenderingInfo(ChartRenderingInfo chartRenderingInfo)
	{
		this.chartRenderingInfo = chartRenderingInfo;
	}

	public ChartValue[] getChartValues()
	{
		return chartValues;
	}

	public void setChartValues(ChartValue[] chartValues)
	{
		this.chartValues = chartValues;
	}	
}