/*
 * Copyright (C) 2006 Erik Swenson - erik@oreports.com
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 */

package org.efs.openreports.engine.output;

import java.io.Serializable;
import java.util.Map;

/**
 * JasperReportEngineOutput extends ReportEngineOuput to provides access to
 * additional information generated by JasperReportEngine.
 * 
 * @author Erik Swenson
 */

public class JasperReportEngineOutput extends ReportEngineOutput implements Serializable
{		
	private static final long serialVersionUID = 8576675614656607178L;	
	
	private Map imagesMap;

	/*
	 * ImagesMap is used to store images generated by the JasperReports HTML
	 * export process.
	 */
	public Map getImagesMap()
	{
		return imagesMap;
	}

	public void setImagesMap(Map imagesMap)
	{
		this.imagesMap = imagesMap;
	}	
}