/*
 * Copyright (C) 2006 Erik Swenson - erik@oreports.com
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 *  
 */

package org.efs.openreports.engine.output;

import java.io.Serializable;
import java.util.List;

import org.efs.openreports.util.DisplayProperty;

/**
 * QueryEngineOutput extends ReportEngineOuput to provides access to
 * additional information generated by QueryReportEngine.
 * 
 * @author Erik Swenson
 */

public class QueryEngineOutput extends ReportEngineOutput implements Serializable
{	
	private static final long serialVersionUID = 2880837329504860633L;
	
	private List results;
	private DisplayProperty[] properties;	
	
	public DisplayProperty[] getProperties()
	{
		return properties;
	}

	public void setProperties(DisplayProperty[] properties)
	{
		this.properties = properties;
	}

	public List getResults()
	{
		return results;
	}

	public void setResults(List results)
	{
		this.results = results;
	}
}
